<?php
// +---------------------------------------------------------------------------+
// | amz plugin Administration page                                            |
// +---------------------------------------------------------------------------+
// | Copyright (C) 2005 Andy Maloney [amaloney@users.sf.net]                   |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+

require_once( '../../../lib-common.php' );


// Only let amz admin users access this page
if ( !SEC_hasRights( 'amz.admin' ) )
{
    COM_errorLog( "Someone has tried to illegally access the amz Admin page.  "
    	. "User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1 );

    echo COM_siteHeader();
    echo COM_startBlock( $LANG_AZ00['access_denied'] );
    echo $LANG_AZ00['access_denied_msg'];
    echo COM_endBlock();
    echo COM_siteFooter( true );
    exit;
}

AMZ_readPrefs();

// now show page
$display = '';

// IF the form was submitted, then save the info
if ( isset( $_POST['Save'] ) )
{
	$new_prefs['use_cookie'] = ($new_prefs['use_cookie'] == 'on') ? 1 : 0;
		
	// provide a default-default
	if ( $new_prefs['default_search'] == '' )
		$new_prefs['default_search'] = 'Sean Maloney';
	
	// debugging
	/*
	foreach ( $_POST as $var => $value )
	{
		$display .= $HTTP_POST_VARS . '[' . $var . '] = ' . $value . '<br>';
	}

	foreach ( $_POST['usertag'] as $var => $value )
	{
		$display .= 'usertag[' .$var .']:    ' . $value . '<br>';
	}
	*/
	
	// First save the associate ids...
	$sql = "SELECT * from {$_TABLES['amz_servers']}";
	$res = DB_query( $sql );

	while ( $server_info = mysql_fetch_assoc( $res ) )
	{
		$associate_id = trim( $_POST['usertag'][$server_info['id']] );
		
		if ( $server_info['user_tag'] != $associate_id )
		{
			$sql = "UPDATE {$_TABLES['amz_servers']} SET user_tag='$associate_id' WHERE id='{$server_info['id']}'";
			DB_query( $sql );
		
			$changed = true;
		}		
	}

	// ...then the prefs
	foreach ( $new_prefs as $pref => $value )
	{
		if ( $_AMZ_PREFS[$pref] != $value )
		{
			$sql = "UPDATE {$_TABLES['amz_prefs']} SET value='$value' WHERE name='$pref' LIMIT 1";
			DB_query( $sql );
			
			$_AMZ_PREFS[$pref] = $value;
			
			$changed = true;
		}
	}
	
	// Give the user feedback
	$display .= COM_startBlock( 'Status', '', COM_getBlockTemplate ('_msg_block', 'header'));
	$display .= '<img src="' . $_CONF['layout_url'] . '/images/sysmessage.gif" border="0" align="top" alt="">&nbsp;&nbsp;'
		. (($changed) ? "Preferences saved." : "No changes were made to the preferences.");
	$display .= COM_endBlock( COM_getBlockTemplate('_msg_block', 'footer') );
}

$display .= '<form method="POST" action="' . $_SERVER['PHP_SELF'] . '">';

// Submit
$display .= '<div style="border:#C0C0C0 dotted 1px; padding: 5px; text-align: right;">
	<input type=submit name=Save value="Save">
	</div>
';

// Amazon Associate prefs
$display .= '<div style="border:#C0C0C0 dotted 1px; padding: 10px;">
	<u>Associate IDs</u><br>
	<table cellspacing=5 width="100%">
	<tr style="font-weight: bold;">
	<td align=center>Default</td>
	<td colspan="2">Amazon Server</td>
	<td>Associate ID</td>
	<td>Web Site</td>
	</tr>
';

$sql = "SELECT * from {$_TABLES['amz_servers']}";
$res = DB_query( $sql );

while ( $server_info = mysql_fetch_assoc( $res ) )
{
	$flag_url = $_CONF['site_url'] . '/amz/images/flag_' . $server_info['id'] . '.gif';
	$alt_flag = $server_info['id'] . ' flag';

	$display .= '<tr>';
	
	$display .= '<td width=70 align=center>';
	$display .= '<input type=radio name="new_prefs[default_server]"';
	$display .= ($_AMZ_PREFS['default_server'] == $server_info['id'] ? ' checked' : '' );
	$display .= ' value="' . $server_info['id'] . '">';
	$display .= '</td>';
	
	$display .= '<td width=30><img src="' . $flag_url . '" width=24 height=13 alt="' . $alt_flag . '"></td>';
	
	$display .= '<td width=100>' . $server_info['server'] . '</td>';
	
	$display .= '<td><input type=text name="usertag[' . $server_info['id'] . ']"';
	$display .= ' size=24 value="' . $server_info['user_tag'] . '"</td>';

	$display .= '<td><a href="http://' . $server_info['assoc_server'] . '" target=_blank>';
	$display .= $server_info['assoc_server'] . '</a></td>';
	
	$display .= '</tr>';
}

$display .= '</table></div>';

// Contribute to Andy prefs
$display .= '<div style="border:#C0C0C0 dotted 1px; padding: 10px 10px 0px 10px;">
	<u>Development Contribution</u><p>
	Please help support development of this plugin by using Andy\'s associate ids for some of your searches.<br>
	<p>Use Andy\'s associate id every
	<select name="new_prefs[contribute]">
';

$values = array( 0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 25, 50 );

foreach ( $values as $value )
{
	$display .= '<option' . ($_AMZ_PREFS['contribute'] == $value ? ' selected' : '' ) . ">$value</option>";
}

$display .= '</select> searches.</div>';

// Search prefs
$display .= '<div style="border:#C0C0C0 dotted 1px; padding: 10px;">
	<u>Searching</u><br>
	<table cellspacing=8 width="100%">
	<tr><td align=right>Default Category</td>
	<td><select name="new_prefs[default_category]">
';

$display .= '<option' . ($_AMZ_PREFS['default_category'] == "Blended" ? ' selected' : '' ) . ">Blended</option>";
$display .= '<option' . ($_AMZ_PREFS['default_category'] == "Books" ? ' selected' : '' ) . ">Books</option>";
$display .= '<option' . ($_AMZ_PREFS['default_category'] == "DVD" ? ' selected' : '' ) . ">DVD</option>";
$display .= '<option' . ($_AMZ_PREFS['default_category'] == "Music" ? ' selected' : '' ) . ">Music</option>";
$display .= '<option' . ($_AMZ_PREFS['default_category'] == "Software" ? ' selected' : '' ) . ">Software</option>";
$display .= '</select></td>';
$display .= '</tr>';

$display .= '<tr><td align=right>Default Search Term</td>';
$display .= '<td><input type=text name="new_prefs[default_search]" size=64 value="' . $_AMZ_PREFS['default_search'] . '"></td>';
$display .= '</tr>';

$display .= '<tr><td align=right>XSL file [full URL]</td>';
$display .= '<td><input type=text name="new_prefs[xsl]" size=64 value="' . $_AMZ_PREFS['xsl'] . '"></td>';
$display .= '</tr>';

$display .= '<tr><td align=right>Image Size</td>';
$display .= '<td><select name="new_prefs[image_size]">';
$display .= '<option' . ($_AMZ_PREFS['image_size'] == "None" ? ' selected' : '' ) . ">None</option>";
$display .= '<option' . ($_AMZ_PREFS['image_size'] == "Small" ? ' selected' : '' ) . ">Small</option>";
$display .= '<option' . ($_AMZ_PREFS['image_size'] == "Medium" ? ' selected' : '' ) . ">Medium</option>";
$display .= '<option' . ($_AMZ_PREFS['image_size'] == "Large" ? ' selected' : '' ) . ">Large</option>";
$display .= '</select></td>';
$display .= '</tr>';

$display .= '<tr><td align=right>Use Cookies</td>';
$display .= '<td><input type=checkbox name="new_prefs[use_cookie]"' . ($_AMZ_PREFS['use_cookie'] ? ' checked' : '') . '></td>';
$display .= '</tr>';

$display .= '</table></div>';

// Submit
$display .= '<div style="border:#C0C0C0 dotted 1px; padding: 5px; text-align: right;">
	<input type=submit name=Save value="Save">
	</div>
	</form>
';

$header = '<img src="' . $_CONF['site_url'] . '/amz/images/amz_small.gif" width=24 height=24 alt="amz pic" align="middle">&nbsp;&nbsp;' . $LANG_AZ00['admin'] . ' [v' . plugin_chkVersion_amz() .']';
$readme_url = $_CONF['site_admin_url'] . '/plugins/amz/readme.html#config';

echo COM_siteHeader();
echo COM_startBlock( $header, $readme_url );

echo $display;

echo COM_endBlock();
echo COM_siteFooter(true);
?>
